name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  Build-Gradle:
    runs-on: ubuntu-latest
    container:
       image: gitea.hessj.de/administrator/gradle:0.0.3
    steps:

      - name: Checkout Repository
        uses: actions/checkout@v4

      - name: List files in the repository
        run: ls ${{ gitea.workspace }}

      - name: List files in the repository
        run: ls "${{ gitea.workspace }}/environmentex"

      - name: Verify Gradle Installation
        run: cd "${{ gitea.workspace }}/environmentex" && gradle build --no-daemon

      - name: show if jar is built
        run: ls ${{ gitea.workspace }}
